> ## Documentation Index
> Fetch the complete documentation index at: https://myco-29fc6df6-sweetmantech-myc-3925-docs-document-the-apiar.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Social Posts

> Retrieve all social media posts from a specific social profile. Call the Artist Socials endpoint first to obtain social IDs.



## OpenAPI

````yaml GET /api/social/posts
openapi: 3.1.0
info:
  title: Recoup API
  description: >-
    API documentation for the Recoup platform - an AI agent platform for the
    music industry
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://recoup-api.vercel.app
security:
  - apiKeyAuth: []
paths:
  /api/social/posts:
    get:
      description: >-
        Retrieve all social media posts from a specific social profile. Call the
        Artist Socials endpoint first to obtain social IDs.
      parameters:
        - name: social_id
          in: query
          description: >-
            The unique identifier (UUID) of the social profile to fetch posts
            for
          required: true
          schema:
            type: string
            format: uuid
        - name: latestFirst
          in: query
          description: 'Sort posts by most recent first (default: true)'
          required: false
          schema:
            type: boolean
            default: true
        - name: page
          in: query
          description: 'The page number to retrieve (default: 1)'
          required: false
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          description: 'The number of records per page (default: 20, max: 100)'
          required: false
          schema:
            type: integer
            default: 20
            maximum: 100
      responses:
        '200':
          description: Posts retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SocialPostsResponse'
        '400':
          description: Bad request - missing required parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SocialErrorResponse'
      servers:
        - url: https://api.recoupable.com
components:
  schemas:
    SocialPostsResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - error
          description: Status of the request
        posts:
          type: array
          items:
            $ref: '#/components/schemas/SocialPost'
          description: List of social media posts
        pagination:
          $ref: '#/components/schemas/SocialPostsPagination'
    SocialErrorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - error
          description: Status of the request
        message:
          type: string
          description: Error message
    SocialPost:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: UUID of the social's social_posts record
        post_id:
          type: string
          format: uuid
          description: UUID of the social's posts record
        social_id:
          type: string
          format: uuid
          description: UUID of the social's socials record
        post_url:
          type: string
          description: Direct URL to the post on the platform
        updated_at:
          type: string
          format: date-time
          description: ISO timestamp of when the post data was last updated
    SocialPostsPagination:
      type: object
      properties:
        total_count:
          type: integer
          description: Total number of posts available
        page:
          type: integer
          description: Current page number
        limit:
          type: integer
          description: Number of posts per page
        total_pages:
          type: integer
          description: Total number of pages available
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Your Recoup API key. [Learn more](/quickstart#api-keys).

````